Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class MathValue

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.MathValue

All Implemented Interfaces:
  InMemoryValue, Value

Direct Known Subclasses:
  AddValue, DivideValue, ModValue, MultiplyValue, SubtractValue

public abstract class MathValue
extends java.lang.Object
implements InMemoryValue

Value produced by a match operation on two values.

Constructor Summary
`MathValue(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1, com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)` Constructor.

Method Summary
`void` | `castTo(java.lang.Class cls)` Cast this value to the given type.
`com.solarmetric.rd.kodo.query.exp.InMemoryValue` | `getValue1()`
`com.solarmetric.rd.kodo.query.exp.InMemoryValue` | `getValue2()`
`boolean` | `isVariable()` Return true if this value is a variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.query.exp.InMemoryValue
`evaluate`

Constructor Detail

### MathValue

    public MathValue(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1,
                     com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)

  Constructor. Provide the values to add.

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.

  Specified by:
    `isVariable` in interface `Value`

### getValue1

    public com.solarmetric.rd.kodo.query.exp.InMemoryValue getValue1()

### getValue2

    public com.solarmetric.rd.kodo.query.exp.InMemoryValue getValue2()

### castTo

    public void castTo(java.lang.Class cls)

  Description copied from interface: `InMemoryValue`
  Cast this value to the given type.

  Specified by:
    `castTo` in interface `InMemoryValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.